---
title:  vela exec
---

Execute command in a container

### Synopsis

Execute command in a container

```
vela exec [flags] APP_NAME -- COMMAND [args...]
```

### Options

```
  -h, --help                           help for exec
      --pod-running-timeout duration   The length of time (like 5s, 2m, or 3h, higher than zero) to wait until at least one pod is running (default 1m0s)
  -i, --stdin                          Pass stdin to the container (default true)
  -s, --svc string                     service name
  -t, --tty                            Stdin is a TTY (default true)
```

### Options inherited from parent commands

```
  -e, --env string   specify environment name for application
```

### SEE ALSO

* [vela](vela)	 - 

###### Auto generated by spf13/cobra on 20-Mar-2021
